-- phpMyAdmin SQL Dump
-- version 4.7.9
-- https://www.phpmyadmin.net/
--
-- Host: localhost:3306
-- Generation Time: May 07, 2020 at 08:07 AM
-- Server version: 5.7.21
-- PHP Version: 7.1.15

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `sunkware_remotexam`
--

-- --------------------------------------------------------

--
-- Table structure for table `exams`
--

CREATE TABLE `exams` (
  `exam` varchar(128) NOT NULL,
  `name` text NOT NULL,
  `comment` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `exams`
--

INSERT INTO `exams` (`exam`, `name`, `comment`) VALUES
('demo_exam1', 'Exam #1 on &ldquo;Introduction to Theory of Those Things&rdquo; ', 'When the paper is complete, make photos or scans of its pages, attach them to the message entitled &ldquo;Exam #1&rdquo;, and send this message from your emailbox to <a href=\"mailto:teacher@nullmail.com\">teacher@nullmail.com</a>, <b>before 23:59 today</b>. After the submission please wait for the reply confirming that your paper has been received.');

-- --------------------------------------------------------

--
-- Table structure for table `participants`
--

CREATE TABLE `participants` (
  `id` varchar(32) NOT NULL,
  `name` text NOT NULL,
  `gruppe` text NOT NULL,
  `email` text NOT NULL,
  `linksent` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0 - not sent, 1 - sent',
  `exam` varchar(128) NOT NULL DEFAULT '' COMMENT 'empty means no exam now',
  `var` int(11) NOT NULL DEFAULT '0' COMMENT 'if not in [1; varnum], must choose',
  `chtime` text NOT NULL COMMENT 'var chosen at this time',
  `ips` text NOT NULL COMMENT 'separated by ;'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `participants`
--

INSERT INTO `participants` (`id`, `name`, `gruppe`, `email`, `linksent`, `exam`, `var`, `chtime`, `ips`) VALUES
('11967432254326218709163211991043', 'S. Johns', 'RE-2020-2', 'sjohns@nomail.com', 1, '', 0, '', ''),
('59718970178461498483113830407556', 'J. Smith', 'RE-2020-1', 'jsmith@anymail.com', 1, 'demo_exam1', 0, '', '');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `exams`
--
ALTER TABLE `exams`
  ADD PRIMARY KEY (`exam`);

--
-- Indexes for table `participants`
--
ALTER TABLE `participants`
  ADD PRIMARY KEY (`id`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
